Bug 1413162 - Explain importance of prefix in man pages, add satellite 6 example
Summary: Explain importance of prefix in man pages, add satellite 6 example
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.9
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: rc
: ---
Assignee: Kevin Howell
QA Contact: John Sefler
URL:
Whiteboard:
Depends On: 1413161
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 19:10 UTC by Barnaby Court
Modified: 2019-07-03 14:14 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1413161
Environment:
Last Closed: 2019-07-03 12:27:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github candlepin subscription-manager pull 1651 None None None 2017-06-15 11:37:46 UTC

Comment 4 Jan Kurik 2017-12-06 12:43:07 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Comment 5 Shwetha Kallesh 2018-03-26 06:25:41 UTC
Preliminary Verification:

As requested in the original bug , I observe that now baseurl samples are now availbale in the man pages of rhsm.conf and subscription-manager in the following version of RHSM:
[root@localhost ~]# subscription-manager version
server type: This system is currently not registered.
subscription management server: 2.2.2-1
subscription management rules: 5.26
subscription-manager: 1.20.10-3.el6



[root@localhost ~]# man rhsm.conf | grep baseurl -A5
       baseurl
           This setting is the prefix for all content which is managed by the subscription service. This should be the hostname for the Red Hat CDN, the local Satellite or Capsule depending on your deployment. Prefix depends on the service type.  For the Red Hat CDN, the full baseurl is https://cdn.redhat.com .  For Satellite 6, the baseurl is https://HOSTNAME/pulp/repos , so for a hostname of sat6.example.com the full baseurl would be for example: https://sat6.example.com/pulp/repos .


[root@localhost ~]# man subscription-manager

       --baseurl=https://CONTENT_SERVICE:PORT/PREFIX
              Passes the name of the content delivery service to configure the yum service to use to pull down packages. If there is an on-premise subscription service such as Subscription Asset Manager or  Cloud-Forms System Engine, this parameter can be used to submit the URL of the content repository, in the form https://server_name:port/prefix.  PREFIX in particular depends on the service type.  For example, https://sam.example.com:8088/sam is the baseurl for a SAM service.  https://sat6.example.com/pulp/repos  is  the  baseurl  for  a  Satellite  6  service  with  the  hostname  sat6.example.com  .https://cdn.redhat.com is the baseurl for the Red Hat CDN.


Note You need to log in before you can comment on or make changes to this bug.